## python-ddt 1.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DDT.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DDT.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DDT"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DDT"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-ddt 0.4.0

=== debian/changelog ===
python-ddt (0.4.0-2) unstable; urgency=low

  * Not specifying the version of the LGPL in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2013 02:21:34 +0800

python-ddt (0.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #724904)

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2013 22:52:44 +0800

=== debian/control ===
Source: python-ddt
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Build-Depends-Indep: pep8, python-coverage, python-nose
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ddt.git
Vcs-Git: git://anonscm.debian.org/openstack/python-ddt.git
Homepage: https://pypi.python.org/pypi/ddt

Package: python-ddt
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: Data-Driven/Decorated Tests
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/txels/ddt.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_clean:
	rm -rf docs/_build/
	dh_clean -O--buildsystem=python_distutils

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests
endif

override_dh_installdocs:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	make -C docs html
	dh_installdocs
endif

## python-ddt 1.0.0

=== debian/changelog ===
python-ddt (1.0.0-1~bpo8+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Thomas Goirand <jenkins@liberty-jessie.pkgs.mirantis.com>  Wed, 01 Jul 2015 17:55:16 +0000

python-ddt (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-six as build-depends-indep.
  * Ran wrap-and-sort -t -a.
  * Added dh-python as build-depends.
  * Removed version in python-all build-depends.
  * Added Python 3 support.
  * Added debian/source/options to ignore the generated egg-info.
  * Using a separate package for the -doc.
  * Standards-Version: 3.9.6 (no change).
  * Fixed debian/copyright to use MIT license, not LGPL.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2015 10:27:39 +0200

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/txels/ddt.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ddt; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ddt; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_clean:
	rm -rf docs/_build/
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests -v
	nosetests3 -v
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(CURDIR)/debian/python-ddt-doc/usr/share/doc/python-ddt-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-ddt 1.0.1

=== debian/changelog ===
python-ddt (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed && into ; in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Jan 2016 23:15:36 +0800

=== debian/control ===
Source: python-ddt
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: pep8,
                     python-coverage,
                     python-nose,
                     python-six,
                     python-sphinxcontrib.programoutput,
                     python3-nose,
                     python3-six,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ddt.git
Vcs-Git: git://anonscm.debian.org/openstack/python-ddt.git
Homepage: https://pypi.python.org/pypi/ddt

Package: python-ddt
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: Data-Driven/Decorated Tests - Python 2.x
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the Python 2.x module.

Package: python3-ddt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Data-Driven/Decorated Tests - Python 3.x
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the Python 3.x module.

Package: python-ddt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Data-Driven/Decorated Tests - doc
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,11 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-ddt; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-ddt; \
 	done

## python-ddt 1.1.0

=== debian/changelog ===
python-ddt (1.1.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-depends on python-pep8, and not pep8.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Aug 2016 16:03:45 +0200

python-ddt (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Added python{3,}-{yaml,mock} as build-depends-indep.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Standards-Version is now 3.9.8 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 16:40:13 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/txels/ddt.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	rm -rf docs/_build/
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests -v
	nosetests3 -v
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(CURDIR)/debian/python-ddt-doc/usr/share/doc/python-ddt-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-ddt 1.1.1

=== debian/changelog ===
python-ddt (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Standards-Version is now 4.1.3.
  * New upstream release.
  * Fixed build-depends for this release.
  * debian/rules: some clean-ups.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Mar 2018 17:53:47 +0100

=== debian/control ===
Source: python-ddt
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 pep8,
 python-coverage,
 python-mock,
 python-nose,
 python-six,
 python-sphinxcontrib.programoutput,
 python-yaml,
 python3-mock,
 python3-nose,
 python3-six,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ddt
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ddt.git
Homepage: https://pypi.python.org/pypi/ddt

Package: python-ddt
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Data-Driven/Decorated Tests - Python 2.x
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the Python 2.x module.

Package: python-ddt-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Data-Driven/Decorated Tests - doc
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the documentation.

Package: python3-ddt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Data-Driven/Decorated Tests - Python 3.x
 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,13 @@
 
 override_dh_clean:
 	rm -rf docs/_build/
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests -v
-	nosetests3 -v
+	for i in 2.7 $(PYTHON3S) ; do \
+		python$$i -m nose -v ; \
+	done
 endif
 
 override_dh_sphinxdoc:

## python-ddt 1.2.1

=== debian/changelog ===
python-ddt (1.2.1-3) unstable; urgency=medium

  * Switched from pep8 to python3-pep8 (Closes: #949935).
  * Fixed d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Feb 2020 09:03:56 +0100

python-ddt (1.2.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:16:58 +0200

python-ddt (1.2.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 15:01:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,28 @@
 Source: python-ddt
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 9),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
- python-sphinx,
  python3-all,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- pep8,
- python-coverage,
- python-mock,
- python-nose,
- python-six,
- python-sphinxcontrib.programoutput,
- python-yaml,
+ python3-pep8,
+ python3-coverage,
  python3-mock,
  python3-nose,
  python3-six,
+ python3-sphinxcontrib.programoutput,
  python3-yaml,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ddt
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ddt.git
 Homepage: https://pypi.python.org/pypi/ddt
-
-Package: python-ddt
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends},
-Description: Data-Driven/Decorated Tests - Python 2.x
- DDT (Data-Driven Tests) allows you to multiply one test case by running it
- with different test data, and make it appear as multiple test cases. DDT
- consists of a class decorator ddt (for your TestCase subclass) and two
- method decorators (for your tests that want to be multiplied).
- .
- This package contains the Python 2.x module.
 
 Package: python-ddt-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/txels/ddt.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in \$\$(find . -type d -iname __pycache__) ; do rm -rf \$\$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_clean:
	rm -rf docs/_build/
	dh_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		python$$i -m nose -v ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs $(CURDIR)/debian/python-ddt-doc/usr/share/doc/python-ddt-doc/html
	dh_sphinxdoc
endif

## python-ddt 1.3.1

=== debian/changelog ===
python-ddt (1.3.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 09:40:21 +0200

python-ddt (1.3.1-2) experimental; urgency=medium

  * Build-depends on latest python-yaml (FTBFS otherwise).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 18:44:30 +0200

python-ddt (1.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 14:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -18,7 +18,7 @@
  python3-nose,
  python3-six,
  python3-sphinxcontrib.programoutput,
- python3-yaml,
+ python3-yaml (>= 5.3.1),
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ddt
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ddt.git

## python-ddt 1.4.1

=== debian/changelog ===
python-ddt (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support pyyaml's security patch in 5.3.1-4 (from 5.4 upstream).
    (Closes: #989009)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 May 2021 11:51:10 -0400

python-ddt (1.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 10:11:28 +0200

python-ddt (1.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Switch to pytest instead of nose, as per upstream change.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 15:09:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pep8,
  python3-coverage,
  python3-mock,
- python3-nose,
+ python3-pytest,
  python3-six,
  python3-sphinxcontrib.programoutput,
  python3-yaml (>= 5.3.1),

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	for i in $(PYTHON3S) ; do \
-		python$$i -m nose -v ; \
+		python$$i -m pytest -v ; \
 	done
 endif

## python-ddt 1.4.2

=== debian/changelog ===
python-ddt (1.4.2-2~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 28 Oct 2021 16:16:11 +0000

python-ddt (1.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 12:29:10 +0200

python-ddt (1.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed pyyaml-unsafeloader.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 16:53:31 +0200

## python-ddt 1.4.4

=== debian/changelog ===
python-ddt (1.4.4-2~cloud0) jammy-zed; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Sep 2022 12:53:28 +0000

python-ddt (1.4.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Mar 2022 16:23:01 +0100

python-ddt (1.4.4-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 16:08:39 +0100

## python-ddt 1.6.0

=== debian/changelog ===
python-ddt (1.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048405).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 09:44:32 +0200

python-ddt (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:25:18 +0200

python-ddt (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 13:43:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,15 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info .pytest_cache docs/_build/
 	find . -iname '*.pyc' -delete
-	for i in \$\$(find . -type d -iname __pycache__) ; do rm -rf \$\$i ; done
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
-
-override_dh_clean:
-	rm -rf docs/_build/
-	dh_clean
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-ddt 1.7.1

=== debian/changelog ===
python-ddt (1.7.1-3) unstable; urgency=medium

  * Remove python3-mock extraneous dependency (Closes: #1069208).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:36:30 +0200

python-ddt (1.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:11:42 +0200

python-ddt (1.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-aiounittest to build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 11:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ python3-aiounittest,
  python3-pep8,
  python3-coverage,
- python3-mock,
  python3-pytest,
  python3-six,
  python3-sphinxcontrib.programoutput,

## python-ddt 1.7.2

=== debian/changelog ===
python-ddt (1.7.2-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:20:28 +0100

python-ddt (1.7.2-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090484).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:17:41 +0100

python-ddt (1.7.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:43:12 +0200

python-ddt (1.7.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 09:22:14 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-aiounittest,
- python3-pep8,
  python3-coverage,
  python3-pytest,
  python3-six,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info .pytest_cache docs/_build/

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/ddt ddt-(.*).tar.gz
